[**@rxap/firebase v19.0.4-dev.0**](../README.md)

***

[@rxap/firebase](../globals.md) / AppCheckService

# Class: AppCheckService

Defined in: [app-check.ts:35](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/firebase/src/lib/app-check.ts#L35)

## Constructors

### new AppCheckService()

> **new AppCheckService**(`options`, `nameOrConfig`, `zone`, `config`, `enabled`, `siteKey`, `isTokenAutoRefreshEnabled`): [`AppCheckService`](AppCheckService.md)

Defined in: [app-check.ts:40](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/firebase/src/lib/app-check.ts#L40)

#### Parameters

##### options

`FirebaseOptions`

##### nameOrConfig

`string`

##### zone

`NgZone`

##### config

`ConfigService`

##### enabled

`null` | `boolean`

##### siteKey

`null` | `string`

##### isTokenAutoRefreshEnabled

`null` | `boolean`

#### Returns

[`AppCheckService`](AppCheckService.md)

## Properties

### onTokenChanged$

> `readonly` **onTokenChanged$**: `Observable`\<`AppCheckTokenResult`\> = `EMPTY`

Defined in: [app-check.ts:37](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/firebase/src/lib/app-check.ts#L37)

## Methods

### getToken()

> **getToken**(`forceRefresh`?): `Promise`\<`string`\>

Defined in: [app-check.ts:89](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/firebase/src/lib/app-check.ts#L89)

#### Parameters

##### forceRefresh?

`boolean`

#### Returns

`Promise`\<`string`\>

***

### setTokenAutoRefreshEnabled()

> **setTokenAutoRefreshEnabled**(`isTokenAutoRefreshEnabled`): `void`

Defined in: [app-check.ts:97](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/firebase/src/lib/app-check.ts#L97)

#### Parameters

##### isTokenAutoRefreshEnabled

`boolean`

#### Returns

`void`
